<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    let obj = "JavaScript";
    const chunk = (obj, size) =>
        Array.from({ length: Math.ceil(obj.length / size) }, (v, i) =>
            obj.slice(i * size, i * size + size)
        );
    console.log(chunk(obj, 1));
</script>
</html>